Subject: [bug#59829] [PATCH core-updates] gnu: wlroots: Add propagated input xcb-util-renderutil

From: Andy Tai <[email-masked]>
Date: Fri, 6 Jan 2023 23:13:19 -0800

Hi, I thought propagation inputs are for letting dependent packages to be
able to automatically add this input to its dependency list, like, say,
glib as a propagation input for gtk+ as all gtk+ [programs has glib as an
input or dependency.  xcb-util-renderutil seems to have a similar role for
wlroots.

If this is not correct, please file a patch to change it, and merge it.

On Fri, Jan 6, 2023 at 4:07 AM zimoun <[email-masked]> wrote:

> Hi,
>
> On Sun, 04 Dec 2022 at 22:44, Andy Tai <[email-masked]> wrote:
>
> > gnu/packages/wm.scm (wlroots): Add propagated input xcb-util-renderutil
>
> Could you explain why this propagation is required?  Because propagation
> should be avoid at first and it should be used when no other option are
> possible, IMHO.
>
>
> Cheers,
> simon
>

-- 
Andy Tai, [email-masked]  Skype: licheng.tai, Line.me: andy_tai, WeChat:
andytai1010
Year 2023 民國112年
自動的精神力是信仰與覺悟
自動的行為力是勞動與技能